<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ViaRouteVehicleSelection StructType
 * @subpackage Structs
 */
class ViaRouteVehicleSelection extends AbstractStructBase
{
    /**
     * The Vehicle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierVehicle
     */
    public $Vehicle;
    /**
     * The ViaRoute
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierViaRoute
     */
    public $ViaRoute;
    /**
     * Constructor method for ViaRouteVehicleSelection
     * @uses ViaRouteVehicleSelection::setVehicle()
     * @uses ViaRouteVehicleSelection::setViaRoute()
     * @param \StructType\IdentifierVehicle $vehicle
     * @param \StructType\IdentifierViaRoute $viaRoute
     */
    public function __construct(\StructType\IdentifierVehicle $vehicle = null, \StructType\IdentifierViaRoute $viaRoute = null)
    {
        $this
            ->setVehicle($vehicle)
            ->setViaRoute($viaRoute);
    }
    /**
     * Get Vehicle value
     * @return \StructType\IdentifierVehicle|null
     */
    public function getVehicle()
    {
        return $this->Vehicle;
    }
    /**
     * Set Vehicle value
     * @param \StructType\IdentifierVehicle $vehicle
     * @return \StructType\ViaRouteVehicleSelection
     */
    public function setVehicle(\StructType\IdentifierVehicle $vehicle = null)
    {
        $this->Vehicle = $vehicle;
        return $this;
    }
    /**
     * Get ViaRoute value
     * @return \StructType\IdentifierViaRoute|null
     */
    public function getViaRoute()
    {
        return $this->ViaRoute;
    }
    /**
     * Set ViaRoute value
     * @param \StructType\IdentifierViaRoute $viaRoute
     * @return \StructType\ViaRouteVehicleSelection
     */
    public function setViaRoute(\StructType\IdentifierViaRoute $viaRoute = null)
    {
        $this->ViaRoute = $viaRoute;
        return $this;
    }
}
